# Copyright 2021 (c) Anna Schumaker.
import audio
import db
import pathlib
import unittest
from gi.repository import Gtk

test_album = pathlib.Path("./data/Test Album/")
test_track = test_album / "01 - Test Track.ogg"

class TestAudio(unittest.TestCase):
    def test_init(self):
        self.assertIsInstance(audio.Player, audio.player.Player)

    def test_play_track(self):
        db.reset()
        track = db.make_fake_track(1, 10, "Test Track", test_track, test_album)

        self.assertTrue(audio.play_track(track))
        self.assertTrue(audio.Player.playing)
        self.assertFalse(audio.play_track(track))
        audio.Player.playing = False

    def test_header(self):
        header = audio.Header()
        self.assertIsInstance(header, Gtk.HeaderBar)
        self.assertIsInstance(header.get_title_widget(),
                              audio.nowplaying.NowPlaying)

    def test_widgets(self):
        self.assertIsInstance(audio.Artwork(),
                              audio.artwork.Artwork)
