# Copyright 2021 (c) Anna Schumaker.
import db
import unittest

class TestDB(unittest.TestCase):
    def test_new_db(self):
        db.reset()
        self.assertTrue(db.new_db())
        db.make_fake_track(1, 1, "Test Track", "/a/b/c/1.ogg")
        self.assertFalse(db.new_db())

    def test_find_playlist(self):
        track = db.make_fake_track(1, 1, "Test Track", "/a/b/c/1.ogg")
        collection = db.user.Table.find("Collection")
        genre = db.genre.Table.find("Test Genre")

        self.assertIsNone(db.find_playlist(123456))
        for plist in [ collection, track.artist, track.album, track.disc,
                       genre, track.decade, track.year, track.library ]:
            self.assertEqual(db.find_playlist(plist.plist_state.rowid), plist)
